About usLlandybie RFC
HISTORY

Llandybie RFC crest logo
Llandybie RFC started out in 1901 celebrating its centenary in 2001 and going strong.
Llanelli v Llandybie 1974 pogramme

HistoryAbout our Club

Clwb Rygbi Llandybie Rugby Club, in its current form, was formed in 1924 although there are records of rugby matches in the village before this date – reportedly in 1901-02.

The Club played on a number of pitches in its early years before moving to its current location in 1964 at The King George V Playing Field and the completion of its current clubhouse. The Club was admitted to the WRU in 1921-22 and was a founder member of the newly formed West Wales Rugby Union in 1931-32.

This became a ‘golden age’ for the Club becoming West Wales League Champions in 1931-32 and 1932-33 and reaching the final of the League Championship three times in five years. The Club did not play during the Second World War (1939-45) but resumed playing in 1945-46.

In 1957, the Club played the first match against Grangemouth RFC on the eve of the Wales v Scotland game. This fixture has become legendary for its longevity and the sides play each other annually to this day. This is the longest-surviving fixture between Clubs in Wales and Scotland. In 1969, the Club purchased land which gave it a second playing field where a stand was built in 1990. The original clubhouse was extended in 1980 with a new lounge and a snooker room added in 1983.

Success came on the field regularly during what was to become a ‘golden period’. The Club lost narrowly in the finals of the Championship Shield in 1971-72 and 1972-73. The Club saw success in the 7-a-side competitions winning the District F tournament. In 1973-74, the Club was undefeated in the WWRU Championship matches when they topped the League. The season 1974-75 resulted in the Club winning the ‘grand slam’ of the League, the Challenge Cup, the WRU Championship, and the CC Evans Cup. This success has not been equalled since although the Club has had some success – notably the winning of the Division 3C West League in 2015 and the Cup competition in an undefeated season.

 In 2001, the Club celebrated its centenary with a year-long series of events culminating in a gala dinner with over 300 guests.

The Club currently plays in Division 4B West and is proud that the vast majority of the playing squad hail from the village with a number following in the footsteps of their fathers. The Club plays an important role in the life of the village of Llandybie and, despite the many challenges faced by such clubs, looks forward to a bright future.

Llandybie rfc history
Llandybie RFC Presentation night
Wall of fame Llandybie
Llanelli-v-Llandybie
Llan-RFC-1974-75-(Grand-Slam)
Llan-RFC-1924-1925
Llan-RFC-1902-1903
Captains-Board-1902-1933
Llandybie-RFC-bar

TRADITION OF SUCCESSCLUB TROPHIES

SKILLS CLINICS & TRAININGCONVENIENT LOCATIONS

SPORT ARENA
60 East 65th Street Minneapolis
OUTDOOR COURT
35 North 6th Street Minneapolis
GYM
12 Madison Street Minneapolis